/////////////////////////////////////////////////////////////////////////////////////////
// Module Name: Globals.h
// Project: NixieKlok-MQTT
// Global definitions / declarations
// by Jan Breemer  jan@breem.nl
/////////////////////////////////////////////////////////////////////////////////////////

#ifndef GLOBALS_H
#define GLOBALS_H

#include <Arduino.h>

// General:
extern bool DoSerial, DoReadBME280;
extern char VersionString[];

// For MQTT Client / Publish:
extern char Topic_Climate[];
extern bool DoPublishClimate;

// For MQTT Client / Subscribes:
extern char Topic_Time[];
extern char Payload[];

void UpdateClient (void);
void InitClient (void);

// For BME280 Temperature / Hygro / Baro Sensor:
extern bool BME280_IsInitialized;
extern int Temperature, Hygro;
extern long Baro;

// For sensors general:
extern bool InitialisationError;
void UpdateSensors (void);
void InitSensors (void);

extern byte dYear, dMonth, dDayOfWeek, dDay, dHour, dMinute, dSecond; // display value
extern byte Year, Month, DayOfWeek, Day, Hour, Minute, Second; // Count Values
extern bool DoSynchronize;
void Synchronize (void);
 
// Diagnostic Output Pins for Arduiono Ethernet 

#define UseDIAGPIN_2 DDRD |= 0x04;
#define DIAGPIN_2_H PORTD |= 0x04; 
#define DIAGPIN_2_L PORTD &= ~0x04; 
#define DIAGPIN_2_T PIND = 0x04; 

#define UseDIAGPIN_3 DDRD |= 0x08;
#define DIAGPIN_3_H PORTD |= 0x08; 
#define DIAGPIN_3_L PORTD &= ~0x08; 
#define DIAGPIN_3_T PIND = 0x08; 

#define UseDIAGPIN_4 DDRD |= 0x10;
#define DIAGPIN_4_H PORTD |= 0x10; 
#define DIAGPIN_4_L PORTD &= ~0x10; 
#define DIAGPIN_4_T PIND = 0x10; 

#define UseDIAGPIN_5 DDRD |= 0x20;
#define DIAGPIN_5_H PORTD |= 0x20; 
#define DIAGPIN_5_L PORTD &= ~0x20; 
#define DIAGPIN_5_T PIND = 0x20; 

#define UseDIAGPIN_6 DDRD |= 0x40;
#define DIAGPIN_6_H PORTD |= 0x40; 
#define DIAGPIN_6_L PORTD &= ~0x40; 
#define DIAGPIN_6_T PIND = 0x40; 

#define UseDIAGPIN_7 DDRD |= 0x80;
#define DIAGPIN_7_H PORTD |= 0x80; 
#define DIAGPIN_7_L PORTD &= ~0x80; 
#define DIAGPIN_7_T PIND = 0x80;

#endif GLOBALS_H
